]> git.madduck.net Git - code/vcsh.git/blobdiff - vcsh

madduck's git repository

Every one of the projects in this repository is available at the canonical URL git://git.madduck.net/madduck/pub/<projectpath> — see each project's metadata for the exact URL.

All patches and comments are welcome. Please squash your changes to logical commits before using git-format-patch and git-send-email to patches@git.madduck.net. If you'd read over the Git project's submission guidelines and adhered to them, I'd be especially grateful.

SSH access, as well as push access can be individually arranged.

If you use my repositories frequently, consider adding the following snippet to ~/.gitconfig and using the third clone URL listed for each project:

[url "git://git.madduck.net/madduck/"]
  insteadOf = madduck:

Added rudimentary INSTALL file
[code/vcsh.git] / vcsh
diff --git a/vcsh b/vcsh
index 62310a7293ab5485839cccf1162d39b9acf184ff..c4423fdb1ae72fd8b27166643d1bd9ea98731f7b 100755 (executable)
--- a/vcsh
+++ b/vcsh
@@ -3,7 +3,20 @@
 #set -x
 
 SELF=$(basename $0)
+
 [ -z $XDG_CONFIG_HOME ] && XDG_CONFIG_HOME="$HOME/.config"
+for check_directory in $XDG_CONFIG_HOME $XDG_CONFIG_HOME/vcsh $XDG_CONFIG_HOME/vcsh/repo.d
+do
+       if [ ! -d $check_directory ]; then
+               if [ -e $check_directory ]; then
+                       echo "$SELF: error: $check_directory exists but is not a directory" >&2
+                       exit 2
+               else
+                       mkdir $check_directory || (echo "$SELF: error: could not create $check_directory" >&2; exit 2)
+               fi
+       fi
+done
+
 VCSH_BASE="$XDG_CONFIG_HOME/vcsh/repo.d"
 
 help() {
@@ -61,32 +74,37 @@ leave() {
 if [ "$1" = 'help' ] || [ $# -eq 0 ]; then
        help
        [ "$1" = 'help' ]
-       return $?
+       exit $?
 
 elif [ "$1" = 'list' ]; then
        for i in $VCSH_BASE/*.git; do
                echo $(basename $i .git)
        done
-       return 0
+       exit 0
 
 elif [ "$1" = 'run' ]; then
        use $2
        shift 2
        "$@"
        leave
-       return 0
+       exit 0
 
 elif [ "$1" = 'use' ]; then
        if [[ -o NO_IGNORE_EOF ]]; then
                export VCSH_NO_IGNORE_EOF=1
                setopt IGNORE_EOF
-               vcsh_exit() {vcsh exit; zle reset-prompt;}
+               if [[ -n $ZSH_VERSION ]]; then
+                       vcsh_exit() {
+                               vcsh exit;
+                               zle reset-prompt;
+                       }
+               fi
                zle -N vcsh_exit
                bindkey '^d' 'vcsh_exit'
        fi
        use $2
        buildPS1
-       return 0
+       exit 0
 
 elif [ "$1" = 'clone' ]; then
        GIT_REMOTE="$2"
@@ -124,11 +142,11 @@ elif [ "$1" = 'exit' ]; then
        fi
        leave
        buildPS1
-       return 0
+       exit 0
 
 else
        help
-       return 3
+       exit 3
 
 fi